Get Portal Impact Projection
GET
/v1/portal/impact
const url = 'https://example.com/v1/portal/impact?issue_ref=&pr_ref=&asset_ref=&limit=100&tenant_id=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/portal/impact?issue_ref=&pr_ref=&asset_ref=&limit=100&tenant_id='Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”issue_ref
Issue Ref
string
pr_ref
Pr Ref
string
asset_ref
Asset Ref
string
limit
Limit
integer
tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalImpactProjectionOut
object
query
Query
object
key
additional properties
string
source_of_truth
Source Of Truth
string
affected_assets
Affected Assets
Array<object>
PortalImpactAssetOutobject
asset_ref
required
Asset Ref
string
asset_type
Asset Type
string
display_name
Display Name
string
relation
Relation
string
source
Source
string
owners
Owners
Array<object>
PortalImpactOwnerOutobject
owner_ref
required
Owner Ref
string
owner_type
Owner Type
string
relation
Relation
string
required_tests
Required Tests
Array<object>
PortalImpactTestOutobject
test_ref
required
Test Ref
string
reason
Reason
string
evidence_refs
Evidence Refs
Array<object>
PortalImpactEvidenceOutobject
evidence_ref
required
Evidence Ref
string
event_type
Event Type
string
url
Url
string
source
Source
string
recent_failures
Recent Failures
Array<string>
recommended_next_action
Recommended Next Action
string
source_health
Source Health
object
key
additional properties
any
Example
{ "source_of_truth": "fractalops+scim+jit+clickhouse+chronicle", "affected_assets": [ { "asset_type": "", "display_name": "", "relation": "affected", "source": "fractalops-projection" } ], "owners": [ { "owner_type": "group", "relation": "owns" } ], "required_tests": [ { "reason": "" } ], "evidence_refs": [ { "event_type": "", "url": "", "source": "chronicle" } ], "recommended_next_action": "review_impact"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}